Name:           ulogd
Version:        2.0.2
Release:        2%{?dist}
Summary:        Userspace logging daemon for netfilter

Group:          System Environment/Daemons
License:        GPLv2+
URL:            http://www.netfilter.org/projects/%{name}/
Source0:        http://ftp.netfilter.org/pub/%{name}/%{name}-%{version}.tar.bz2
Source1:        %{name}.init
Patch0:         ulogd2.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libnetfilter_conntrack-devel >= 0.0.95
BuildRequires:  libnetfilter_log-devel >= 1.0.0
BuildRequires:  libnfnetlink-devel >= 0.0.39
BuildRequires:  libnetfilter_acct-devel
BuildRequires:  sgml-tools
BuildRequires:  libmnl-devel

Requires(post): /sbin/service
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
Requires(postun): /sbin/service

%description
%{name} is a logging daemon that reads event messages coming from the Netfilter
connection tracking and the Netfilter packet logging subsystem. You have to
enable support for connection tracking event delivery; ctnetlink and the NFLOG
target in your Linux kernel 2.6.x or load their respective modules. The
deprecated ULOG target (which has been superseded by NFLOG) is also supported.

%package libdbi
Summary: Libdbi framework output plugin for %{name}
Group: System Environment/Daemons
BuildRequires: libdbi-devel
Requires: %{name} = %{version}
%description libdbi
%{name}-libdbi is a libdbi output plugin for %{name}. It enables logging of
firewall information through a libdbi interface.

%package mysql
Summary: MySQL output plugin for %{name}
Group: System Environment/Daemons
BuildRequires: mysql-devel
#BuildRequires: openssl-devel
Requires: %{name} = %{version}
%description mysql
%{name}-mysql is a MySQL output plugin for %{name}. It enables logging of
firewall information into a MySQL database.

%package pgsql
Summary: PostgreSQL output plugin for %{name}
Group: System Environment/Daemons
BuildRequires: postgresql-devel
Requires: %{name} = %{version}
%description pgsql
%{name}-pgsql is a PostgreSQL output plugin for %{name}. It enables logging of
firewall information into a PostgreSQL database.

%package pcap
Summary: PCAP output plugin for %{name}
Group: System Environment/Daemons
BuildRequires: libpcap-devel
Requires: %{name} = %{version}
%description pcap
%{name}-pcap is a output plugin for %{name} that saves packet logs as PCAP
file. PCAP is a standard format that can be later analyzed by a lot of tools
such as tcpdump and wireshark.

%package sqlite
Summary: SQLITE output plugin for %{name}
Group: System Environment/Daemons
BuildRequires: sqlite-devel
Requires: %{name} = %{version}
%description sqlite
%{name}-sqlite is a SQLITE output plugin for %{name}. It enables logging of
firewall information into an SQLITE database.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .sqllimit
%{__sed} -i -e 's|/var/log/|%{_localstatedir}/log/%{name}/|g' ulogd.conf.in

%build
#./autogen.sh
%configure \
   --disable-static \
   --enable-shared \
   --with-dbi-lib=%{_libdir} \
   --with-pcap-lib=%{_libdir} \
   --with-sqlite3-lib=%{_libdir}

%{__make} %{?_smp_mflags}
%{__make} %{?_smp_mflags} -C doc

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

%{__mkdir_p} -m 0755 %{buildroot}%{_localstatedir}/log/%{name}/

%{__mkdir_p} -m 0755 %{buildroot}%{_sysconfdir}/
%{__install} -m 0644 %{name}.conf %{buildroot}%{_sysconfdir}/

%{__mkdir_p} -m 0755 %{buildroot}%{_sysconfdir}/logrotate.d/
%{__install} -m 0644 %{name}.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

%{__mkdir_p} -m 0755 %{buildroot}%{_initrddir}/
%{__install} -m 0755 %{SOURCE1} %{buildroot}%{_initrddir}/%{name}

%post
/sbin/chkconfig --add %{name}
/sbin/service %{name} condrestart >/dev/null 2>&1 || :

%preun
# if we are uninstalling...
if [ "$1" = 0 ]; then
   /sbin/service %{name} stop > /dev/null 2>&1 ||:
   /sbin/chkconfig --del %{name}
fi

%postun
# if we are upgrading...
if [ "$1" -ge "1" ]; then
   /sbin/service %{name} condrestart >/dev/null 2>&1 || :
fi

%check
%{__make} %{?_smp_mflags} check

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0755,root,root,0755)
%{_sbindir}/%{name}
%{_initrddir}/%{name}
%{_libdir}/%{name}
%defattr(0644,root,root,0755)
%doc COPYING
%doc AUTHORS README
%doc doc/%{name}.txt doc/%{name}.ps doc/%{name}.html
%doc %{_mandir}/man?/*
%config(noreplace) %{_sysconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%dir %{_localstatedir}/log/%{name}
%exclude %{_libdir}/%{name}/*.la
%exclude %{_libdir}/%{name}/%{name}_output_DBI.so
%exclude %{_libdir}/%{name}/%{name}_output_MYSQL.so
%exclude %{_libdir}/%{name}/%{name}_output_PGSQL.so
%exclude %{_libdir}/%{name}/%{name}_output_PCAP.so
%exclude %{_libdir}/%{name}/%{name}_output_SQLITE3.so

%files libdbi
%defattr(0755,root,root,0755)
%{_libdir}/%{name}/%{name}_output_DBI.so
%defattr(0644,root,root,0755)
%doc COPYING

%files mysql
%defattr(0755,root,root,0755)
%{_libdir}/%{name}/%{name}_output_MYSQL.so
%defattr(0644,root,root,0755)
%doc COPYING

%files pgsql
%defattr(0755,root,root,0755)
%{_libdir}/%{name}/%{name}_output_PGSQL.so
%defattr(0644,root,root,0755)
%doc COPYING

%files pcap
%defattr(0755,root,root,0755)
%{_libdir}/%{name}/%{name}_output_PCAP.so
%defattr(0644,root,root,0755)
%doc COPYING

%files sqlite
%defattr(0755,root,root,0755)
%{_libdir}/%{name}/%{name}_output_SQLITE3.so
%defattr(0644,root,root,0755)
%doc COPYING

%changelog
* Thu Mar 18 2013 Denis Frolov <d.frolov81@mail.ru>
- Initial release
